/***************************************************
 *
 *  Find first / Find next
 *  (c) 93 h+t
 *   Update:
 *  
 * Hinweis: fnsplit und wildc werden ebenfalls benoetigt 
 *
 ***************************************************/


struct ffblk {
	struct {
#ifdef FINDFN
		DIR * dirf;
		char suchf[MAXFILE];
#else
		char * dirf;
		char suchf[32];
#endif
	}ff_reserved;		/* private use for driver */

	char	ff_attrib;	/* attribute              */ /* Dummy */
	int		ff_ftime;   /* creation time          */ /* Dummy */ 
    int 	ff_fdate;   /* creation date          */ /* Dummy */
    long	ff_fsize;   /* Dateigroesse           */ /* Dummy */
    char    ff_name[33];/* Dateiname              */ 
	};

/* derzeit nur eine Dummyvereinbarung:   */
 
typedef enum { FA_RDONLY=1,FA_HIDDEN, FA_SYSTEM, FA_LABEL, FA_DIREC, FA_ARCH} ATTR;


/* errno wird gesetzt: (returnwert ist dann -1)*/

#define ENOENT  1		/* no entry      */
#define ENMFILE 2       /* no more entry */

#ifdef __STDC__
int findfirst( const char * path, struct ffblk *ffblk, ATTR attrib);
int findnext ( struct ffblk *ffblk);
#else
extern int findfirst( );
extern int findnext ( );
#endif

