/* file modes and permissions expressed in 8 bits */
#ifndef _modes_h
#define _modes_h
/* file modes */

#ifndef S_IFMT
#define S_IFMT		0xff	/* mask for type of file */
#define S_IFDIR		0x0080  /* directory */
#define S_ISIZE		0x0020  /* set initial file size */
#define	S_IAPPEND	0x0010  /* open in append mode */
#endif

/* permissions */
#ifndef S_IPRM
#define  S_IPRM		0xff		/* mask for permission bits */
#define  S_IREAD	0x01	 	/* owner read */
#define  S_IWRITE	0x02		/* owner write */
#define  S_IEXEC	0x04		/* owner execute */
#define  S_IOREAD	0x08		/* public read */
#define  S_IOWRITE	0x10		/* public write */
#define  S_IOEXEC	0x20		/* public execute */
#define  S_ISHARE	0x40		/* sharable */
#endif

#endif

