/* ------------------------------------------------------------
 *	  Profiler fuer OS/9 mit Hardwarecounter
 *    (c) H+T 1991 h+t
 *
 *	  Stand: 
 *		26.2.91  mh
 *      Mi. 23.12.1992 15:54:41 mh
 * 
 *  Hardwarebasis: MKC ECB 68020 System mit SSM Modul
 *				und HT Profiler Hardware
 *				hier: PIOWRAP mit 8254 Counter
 *  oder:
 *           H+T 68040 System mit ssm040 h+t
 *
 *		
 -------------------------------------------------------------*/
/* ---------------------------------------------------------------
  Folgende Funktionen werden von diesem Modul zur Verfuegung gestellt:
  
	Zum Einbauen in die Funktion main:  */

#ifdef __STDC__
void _prof_init(int fanz);	 /* Uebergabe: Anzahl der zu untersuchenden Funktio. */
void _prof_exit(int fanz);	 /* Anzahl der auszugebenden Statistikzeilen */

/*	Zum Einbauen in die zu untersuchenden Funktionen :  */
void _prof_ent(const char * fname,int Fcode);	/* Uebergabe: Funktionsname, AktFunktionsnummer */
void _prof_lea(int Fcode);		        /* Uebergabe: Aktuelle Funktionsnummer*/
#else
void _prof_init();	 /* Uebergabe: Anzahl der zu untersuchenden Funktio. */
void _prof_exit();	 /* Anzahl der auszugebenden Statistikzeilen */

/*	Zum Einbauen in die zu untersuchenden Funktionen :  */
void _prof_ent();	/* Uebergabe: Funktionsname, AktFunktionsnummer */
void _prof_lea();		        /* Uebergabe: Aktuelle Funktionsnummer*/
#endif
/*  -----------------------------------------------------------------*/
