/*------------------------------------------------------------------------
 * filename - fnsplit.c
 *
 * function(s)
 *		  fnsplit  - splits a full path name into its components
 *		  fnmerge - make new filename
 *-----------------------------------------------------------------------*/

#ifdef __STDC__
int fnsplit(const char *path, char * drive, char * dir,
							 char * name, char * ext);

void fnmerge(char *path, const char * drive, const char * dir,
							 const char * name, const char * ext);

#else
extern int fnsplit();

extern void fnmerge();

#endif

#define MAXPATH  128
#define MAXDRIVE 32
#define MAXDIR   128
#define MAXFILE  32
#define MAXEXT   32


#define EXTENSION  1
#define FILENAME   2
#define DIRECTORY  3
		       
#define DRIVE	   4
#define WILDCARDS  5

