/* math routines 11-Oct-84 */

#ifdef __STDC__
double atof(const char *);
double atan2(double,double);
double sin(double);
double cos(double);
double tan(double);
double asin(double);
double acos(double);
double atan(double);
double exp(double);
double log(double);
double log10(double);
double pow(double,double);
double sqrt(double);
double floor(double);
double ceil(double);
double fabs(double);
double modf(double,double *);
double hypot(double,double);

#else

extern double atof(),atan2();
extern double sin(),cos(),tan(),asin(),acos(),atan();
extern double exp(),log(),log10(),pow(),sqrt();
extern double floor(),ceil(),fabs(),modf(),hypot();
#endif
#define HUGE_VAL 1e307	/* ANSI */
#define HUGE	1.701411733192644270e38
#define PI	3.141592653589796
