/*	@(#)termio.h 1.4 88/02/08 SMI; from S5R2 6.2	*/
/*                   Mo. 24.05.1993 20:15:11 mh     */

#ifndef _TERMIO_
#define _TERMIO_

#include	<sys/ioccom.h>
#include	<sys/termios.h>


#define	NCC	NCCS


#define	SSPEED	7	/* default speed: 300 baud */

/*
 * Ioctl control packet
 */

struct termio {
	unsigned short	c_iflag;	/* input modes */
	unsigned short	c_oflag;	/* output modes */
	unsigned short	c_cflag;	/* control modes */
	unsigned short	c_lflag;	/* line discipline modes */
	char	        c_line;		/* line discipline */
	unsigned char	c_cc[NCC];	/* control chars */
};

#define	TCGETA		_IOR('T', 1, struct termio)
#define	TCSETA		_IOW('T', 2, struct termio)
#define	TCSETAW		_IOW('T', 3, struct termio)
#define	TCSETAF		_IOW('T', 4, struct termio)
#define	TCSBRK		_IO('T', 5)
#define	TCXONC		_IO('T', 6)
#define	TCFLSH		_IO('T', 7)
#define	TCGETS		_IOR('T', 8, struct termios)
#define	TCSETS		_IOW('T', 9, struct termios)
#define	TCSETSW		_IOW('T', 10, struct termios)
#define	TCSETSF		_IOW('T', 11, struct termios)
#define	TCSNDBRK	_IO('T', 12)
#define	TCDRAIN		_IO('T', 13)
#define TIOCFLUSH	_IO('t', 16) /* ????????? */


#endif
